<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_latest
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\Component\Content\Administrator\Extension\ContentComponent;
use Joomla\Component\Content\Site\Helper\RouteHelper;

if (!$list)
{
	return;
}

?>

<section class="blog-me py-5" id="blog">
	
	<div class="container">
		
		<div class="row">				
			
			<?php foreach ($list as $item) : ?>
              
			<div class="col-lg-4 col-md-6 h-100">  <!-- setup for 3 columns -->
				<div class="single-blog">
					<div class="blog-img">
						
						<!-- Intro image -->
						<?php
							$article_images  = json_decode($item->images);
							$article_image   = '';
							$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
								$article_image  = $article_images->image_intro;
								$article_image_alt  = $article_images->image_intro_alt;
							}?> 
                              
						<!-- Featured ribbon -->	
						<?php if ($item->featured == 1) : ?>
						
						<div class="ribbon-wrapper-orange"><div class="ribbon-orange"><?php echo JText::_('MOD_OVERRIDE_FEATURED') ?></div></div> 
                        <a href="<?php echo $item->link; ?>">
							<img class="" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
						</a>
						
                        <?php else : ?>
                          
                        <a href="<?php echo $item->link; ?>">
							<img class="" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
						</a>
                        <?php endif; ?> 
					</div>
					
					<div class="blog-content">								
						<div class="blog-title">									
							<h4>								
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
							</h4>

						</div>
						
						<?php if ($params->get('show_readmore')) : ?>
						<p class="mod-articles-category-readmore">						
							<a href="/<?php echo $item->link; ?>" class="box_btn mod-articles-category-title <?php echo $item->active; ?>">
								<?php if ($item->params->get('access-view') == false) : ?>
								<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
								<?php elseif ($readmore = $item->alternative_readmore) : ?>
								<?php echo $readmore; ?>
								<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
								<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
								<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
								<?php else : ?>
								<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
								<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
								<?php endif; ?>									
							</a>
						</p>
						<?php endif; ?>
						
					</div>
				</div>
			</div>	
			<?php endforeach; ?>
			
		</div>
	</div>
</section>